Bare-metal host 'Deploy On' setting doesn't persist

01/08/2019 09:25 AM - Alex Fisher

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty: hard Fixed in Releases:  

Triaged: No Found in Releases: 1.24.2

Bugzilla link: 1820522 Red Hat JIRA:  

Pull request:    

Description

I have some bare-metal hosts in a hostgroup that has 'Deploy On' defaulted to a vmware compute resource.

Each time I edit the hosts, I have to set 'Deploy On' back to 'bare metal'.  I need to do this before I can 'submit' any changes I've

made, but afterwards, the host page still has a 'VM' tab and the 'Deploy On' change isn't persisted.

I found this in 1.18.3, but areyus in IRC has confirmed this also exists in 1.20

Related issues:

Related to Foreman - Feature #5790: Default "Deploy on" value for host groups. Closed

History

#1 - 01/08/2019 09:26 AM - Alex Fisher

- Subject changed from Host 'Deploy-on' setting doesn't persist to Bare-metal host 'Deploy On' setting doesn't persist

#2 - 01/08/2019 09:40 AM - Sebastian Bublitz

I can confirm this is still in 1.20.1.

It only applies to hosts created after "deploy on" was set in the hostgroup.

Hosts created before that do not seem to have this issue.

Also, hosts created with this issue show the VM tab on host detail page and model is set to the VMWare compute instance anyways. In the hosts

table in the DB, compute_resource_id gets set to what is set in the hostgroup, too.

#3 - 02/27/2019 11:59 AM - Tomer Brisker

- Related to Feature #5790: Default "Deploy on" value for host groups. added

#4 - 06/06/2019 12:48 PM - Bernhard Suttner

Looks like the issue occurs in Foremn 1.21 and 1.22.

Setting deploy on "bare metal" for a new host group can not be selected => means, a host group for bare metal hosts can not be configured right now.

#5 - 06/06/2019 01:00 PM - Bernhard Suttner

- Found in Releases 1.21.0, 1.21.1, 1.21.2, 1.21.3, 1.22.0 added

#6 - 04/29/2020 10:12 AM - Matt Darcy

- Found in Releases 1.24.2 added

- Found in Releases deleted (1.18.3, 1.20.2, 1.21.0, 1.21.1, 1.21.2, 1.21.3, 1.22.0)

also present in 1.24.2. in this instance with a librit compute host but the problem is the same core problem detailed.

Unable to progress a work around beyond destroy host and re-add host details.

#7 - 07/01/2021 08:59 AM - Tomer Brisker

- Bugzilla link set to 1820522

#8 - 07/01/2021 09:01 AM - Tomer Brisker
- Difficulty set to hard
